package com.ruoyi.ai.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ai.mapper.AiRechargeGiftGearMapper;
import com.ruoyi.ai.domain.AiRechargeGiftGear;
import com.ruoyi.ai.service.IAiRechargeGiftGearService;

/**
 * 充值赠送活动档位配置Service业务层处理
 * 
 * @author shi
 * @date 2025-11-20
 */
@Service
public class AiRechargeGiftGearServiceImpl implements IAiRechargeGiftGearService {

    @Autowired
    private AiRechargeGiftGearMapper aiRechargeGiftGearMapper;

    /**
     * 查询充值赠送活动档位配置
     * 
     * @param id 充值赠送活动档位配置主键
     * @return 充值赠送活动档位配置
     */
    @Override
    public AiRechargeGiftGear selectAiRechargeGiftGearById(Long id) {
        return aiRechargeGiftGearMapper.selectById(id);
    }

    /**
     * 查询充值赠送活动档位配置列表
     * 
     * @param aiRechargeGiftGear 充值赠送活动档位配置
     * @return 充值赠送活动档位配置
     */
    @Override
    public List<AiRechargeGiftGear> selectAiRechargeGiftGearList(AiRechargeGiftGear aiRechargeGiftGear) {
        LambdaQueryWrapper<AiRechargeGiftGear> query = Wrappers.lambdaQuery(aiRechargeGiftGear);
        query.orderByDesc(AiRechargeGiftGear::getId);
        query.eq(AiRechargeGiftGear::getDelFlag, "0");
        return aiRechargeGiftGearMapper.selectList(query);
    }

    /**
     * 分页查询充值赠送活动档位配置列表
     *
     * @param aiRechargeGiftGear 充值赠送活动档位配置
     * @return 充值赠送活动档位配置
     */
    @Override
    public IPage<AiRechargeGiftGear> selectAiRechargeGiftGearPage(Page page, AiRechargeGiftGear aiRechargeGiftGear) {
        LambdaQueryWrapper<AiRechargeGiftGear> query = Wrappers.lambdaQuery(aiRechargeGiftGear);
        query.eq(AiRechargeGiftGear::getDelFlag, "0");
        return aiRechargeGiftGearMapper.selectPage(page, query);
    }

    /**
     * 新增充值赠送活动档位配置
     * 
     * @param aiRechargeGiftGear 充值赠送活动档位配置
     * @return 结果
     */
    @Override
    public int insertAiRechargeGiftGear(AiRechargeGiftGear aiRechargeGiftGear) {
        aiRechargeGiftGear.setDelFlag("0");
        aiRechargeGiftGear.setCreateBy(SecurityUtils.getUsername());
        aiRechargeGiftGear.setCreateTime(DateUtils.getNowDate());
        return aiRechargeGiftGearMapper.insert(aiRechargeGiftGear);
    }

    /**
     * 修改充值赠送活动档位配置
     * 
     * @param aiRechargeGiftGear 充值赠送活动档位配置
     * @return 结果
     */
    @Override
    public int updateAiRechargeGiftGear(AiRechargeGiftGear aiRechargeGiftGear) {
        aiRechargeGiftGear.setUpdateBy(SecurityUtils.getUsername());
        aiRechargeGiftGear.setUpdateTime(DateUtils.getNowDate());
        return aiRechargeGiftGearMapper.updateById(aiRechargeGiftGear);
    }

    /**
     * 批量删除充值赠送活动档位配置
     * 
     * @param ids 需要删除的充值赠送活动档位配置主键
     * @return 结果
     */
    @Override
    public int deleteAiRechargeGiftGearByIds(Long[] ids)
    {
        return aiRechargeGiftGearMapper.deleteAiRechargeGiftGearByIds(ids);
    }

    /**
     * 删除充值赠送活动档位配置信息
     * 
     * @param id 充值赠送活动档位配置主键
     * @return 结果
     */
    @Override
    public int deleteAiRechargeGiftGearById(Long id)
    {
        return aiRechargeGiftGearMapper.deleteAiRechargeGiftGearById(id);
    }

    @Override
    public List<AiRechargeGiftGear> getGiftGear() {
        return aiRechargeGiftGearMapper.getGiftGear();
    }
}
